<?
 require("../common.inc.php");
 require_once("../user.inc.php");
 user_auth_required('committee', 'admin');
 require("../lpdf.php");
 require("../lcsv.php");

 if($_GET['year']) $foryear=$_GET['year'];
 else $foryear=$config['FAIRYEAR'];

 if($_GET['awardtype']=="All") $awardtype="";
 else if($_GET['awardtype']) $awardtype=" AND award_types.type='".mysql_escape_string($_GET['awardtype'])."'";
 else $awardtype="";

 if($_GET['show_unawarded_awards']=="on") $show_unawarded_awards="yes";
 else $show_unawarded_awards="no";

 if($_GET['show_unawarded_prizes']=="on") $show_unawarded_prizes="yes";
 else $show_unawarded_prizes="no";

 $show_pronunciation= ($_GET['show_pronunciation'] == 'on') ? TRUE : FALSE;

 if(is_array($_GET['show_category'])) {
	 $show_category = array();
 	foreach($_GET['show_category'] as $id=>$val) {
		$show_category[] = "projects.projectcategories_id='$id'";
	}
	$and_categories = join(' OR ', $show_category);
 } else {
 	$and_categories = '1';
 }

 $show_criteria = ($_GET['show_criteria']=='on') ? true : false;

 $type=$_GET['type'];
 if(!$type) $type="pdf";

$scriptformat=$_GET['scriptformat'];
if(!$scriptformat) $scriptformat="default";

	if($type=="pdf") {
		$rep=new lpdf(	i18n($config['fairname']),
				i18n("Awards Ceremony Script"),
				$_SERVER['DOCUMENT_ROOT'].$config['SFIABDIRECTORY']."/data/logo-200.gif"
				);

		$rep->newPage();
		if($scriptformat=="default") $rep->setFontSize(12);
		if($scriptformat=="formatted") $rep->setFontSize(14);
	}
	else if($type=="csv") {
		$rep=new lcsv(i18n("Awards Ceremony Script"));
	}
	$q=mysql_query("SELECT 
				award_awards.id,
				award_awards.name,
				award_awards.presenter,
				award_awards.description,
				award_awards.criteria,
				award_awards.order AS awards_order,
				award_types.type,
				sponsors.organization
			FROM 
				award_awards,
				award_types,
				sponsors
			WHERE 
					award_awards.year='$foryear'
				AND	award_types.year='$foryear'
				AND	award_awards.award_types_id=award_types.id
				AND	award_awards.sponsors_id=sponsors.id
				AND	award_awards.excludefromac='0'
				$awardtype
			ORDER BY awards_order");

	echo mysql_error();

	if(mysql_num_rows($q)) {
		while($r=mysql_fetch_object($q)) {
			if($scriptformat=="formatted") 
				$rep->newPage();

			$pq=mysql_query("SELECT 
						award_prizes.prize,
						award_prizes.number,
						award_prizes.id,
						award_prizes.cash,
						award_prizes.scholarship,
						winners.projects_id,
						projects.projectnumber,
						projects.title,
						projects.projectcategories_id,
						projects.registrations_id AS reg_id
					FROM 
						award_prizes 
						LEFT JOIN winners ON winners.awards_prizes_id=award_prizes.id
						LEFT JOIN projects ON projects.id=winners.projects_id
					WHERE 
						award_awards_id='$r->id' 
						AND award_prizes.year='$foryear'
						AND award_prizes.excludefromac='0'
						AND ($and_categories)
					ORDER BY 
						`order`,
						projects.projectnumber");
					echo mysql_error();

			if($show_unawarded_awards=="no") {
				$skipAward=true;
				while($pr=mysql_fetch_object($pq)) {
					if($pr->projectnumber) {
						$skipAward=false;
						break;
					}
				}
				if($skipAward) {
					continue;
				}
				mysql_data_seek($pq, 0);
			}
			if($scriptformat=="default") 
				$rep->heading("$r->name  ($r->type)");
			if($scriptformat=="formatted") {
				$rep->setFontBold();
				$rep->addText("$r->name  ($r->type)");
				$rep->setFontNormal();
			}
			if($r->type!="Divisional")
				$rep->addText(i18n("Sponsored by: %1",array($r->organization)));
			if($r->presenter)
				$rep->addText(i18n("Presented by: %1",array($r->presenter)));
			if($r->description)
				$rep->addText(i18n("Description: %1",array($r->description)));
			if($show_criteria)
				$rep->addText(i18n("Criteria: %1",array($r->criteria)));

			if($scriptformat=="formatted") $rep->nextline();

			$prevprizeid=-1;
			while($pr=mysql_fetch_object($pq)) {
				if($pr->projectnumber || $show_unawarded_prizes=="yes") {
					if($prevprizeid!=$pr->id) {
						$prizetext=$pr->prize;
	
						if($pr->cash || $pr->scholarship) {
							$prizetext.=" (";
							if($pr->cash && $pr->scholarship)
								$prizetext.="\$$pr->cash cash / \$$pr->scholarship scholarship";
							else if($pr->cash)
								$prizetext.= "\$$pr->cash cash";
							else if($pr->scholarship)
								$prizetext.= "\$$pr->scholarship scholarship";
							$prizetext.= ")";
					
						}
						if($scriptformat=="default") 
							$rep->addText($prizetext);
						if($scriptformat=="formatted") {
							$rep->setFontBold();
							$rep->addText($prizetext);
							$rep->setFontNormal();
							$rep->nextline();
						}
	
						$prevprizeid=$pr->id;
					}

					if($pr->projectnumber) {
						if($scriptformat=="default") 
							$rep->addText( "    ($pr->projectnumber) $pr->title");

						$sq=mysql_query("SELECT students.firstname,
									students.lastname,
									students.pronunciation,
									students.schools_id,
									schools.school
								FROM
									students,
									schools
								WHERE
									students.registrations_id='$pr->reg_id'
									AND students.schools_id=schools.id
								");
	
						$students="       Students: ";
						$studnum=0;
						$pronounce = "";
						while($studentinfo=mysql_fetch_object($sq)) {
							if($studnum>0) $students.=", ";
							$students.="$studentinfo->firstname $studentinfo->lastname";

							if($studnum>0) $pronounce .= ", ";
							$pronounce .= "\"{$studentinfo->pronunciation}\"";

							$student_winner[$studnum] = "$studentinfo->firstname $studentinfo->lastname";
							$student_win_pronunc[$studnum] = "$studentinfo->pronunciation";
							$studnum++;
							
							//we will assume that they are coming from the same school, so lets just grab the last students school
							//and use it.
							$school=$studentinfo->school;
						}

						if($scriptformat=="default") {
							$rep->addText($students);
							if(trim($pronounce) != '' && $show_pronunciation == TRUE)
								$rep->addText("Pronunciation: $pronounce");
							$rep->addText("       School: $school");
						}
						if($scriptformat=="formatted") {
							$rep->addTextX("$pr->projectnumber",0.5);
							$rep->addTextX("$student_winner[0]",1.4);
							$rep->addTextX("$school",5.5);
							if($show_pronunciation == TRUE && $student_win_pronunc[0]) 
								$rep->addTextX("({$student_win_pronunc[0]})",4.0);
							if($type=="pdf") 
								$rep->nextline();
							if($studnum==2) {
								$rep->addTextX("$student_winner[1]",1.4);
								if($show_pronunciation == TRUE && $student_win_pronunc[1]) 
									$rep->addTextX("({$student_win_pronunc[1]})",4.0);
								if($type=="pdf") 
									$rep->nextline();
							}
							if(($studnum==1) && ($type == "csv")) $rep->addTextX("");
							if(($studnum==1) && ($type == "csv")) $rep->addTextX("");
							$rep->addTextX("$pr->title",1.4);
							if($type=="pdf") $rep->nextline();
							$rep->nextline();
						}
					}
					else {
						$rep->addText("    Prize not awarded");
					}
				}
			}
			$rep->nextLine();
		}

	}
	$rep->output();
?>
